beginStateMachine()

	-- called when questor builds up all known questScripts
	onEnter(function(msg)
		print("questRomance4 entered");
		setState("initial");
	end )
	
	-- on game over: relationship conditions get reset to 0 and all quests are reset to initial
	onMsg("questreset", function(msg)
		setState("initial");
	end ) 
---------------------------------------------------------------------------------------------------------------------------------------	
	
	state("initial") 
		onMsg("checkCondition", function(msg)
			local mike = getParent().getParent().getCharacter(MIKE);
			local elaine = getParent().getParent().getCharacter(ELAINE);

			if ( -- condition here
		----------------
				min(	mike.getRelationshipCondition(ELAINE, REL_ROMANTIC),
					elaine.getRelationshipCondition(MIKE, REL_ROMANTIC)) >= 4)
		----------------
			then
				-- go to talk position, then embrace
				
				elaine.queueCommand("pm_talkCutscene", "talkCutscene", mike, "questRomance4");
				elaine.queueCommand("pm_holdNice", "holdNice", mike, "", false, true);
print("questRomance4 - go to talk position");
				setState("talktome");
			end
		end )
		
	state("talktome")
		-- as soon as arrived - start dialog (interaction.talkCutscene sends talking)
		onMsg("talking", function(msg)
			if (msg.data == "questRomance4") then
				popupConversation("dialogRomance4");
				setState("donetalktome");
			end 
		end )
		
	state("donetalktome");
		-- last dialog box clicked away
		onMsg("yes", function(msg)
			-- cancel
			local mike = getParent().getParent().getCharacter(MIKE);
			local elaine = getParent().getParent().getCharacter(ELAINE);

			mike.cancelCurrentActivity();
			elaine.cancelCurrentActivity();
			setState("done");
		end )

---------------------------------------------------------------------------------------------------------------------------------------	

		
	state("done")
	
	-- sackgasse hier
		
		
		
endStateMachine()
